Public Member Functions | Protected Member Functions | Related Functions

# Gio::ApplicationCommandLine Class Reference

`#include <giomm/applicationcommandline.h>`

Inheritance diagram for Gio::ApplicationCommandLine:
[legend]

List of all members.

## Public Member Functions
virtual | ~ApplicationCommandLine ()
GApplicationCommandLine* | gobj ()
| Provides access to the underlying C GObject.
const GApplicationCommandLine* | gobj () const
| Provides access to the underlying C GObject.
GApplicationCommandLine* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
char** | get_arguments (int& argc) const
Glib::ustring | get_cwd () const
Glib::ustring | getenv (const Glib::ustring& name) const
bool | is_remote () const
void | set_exit_status (int exit_status)
int | get_exit_status () const
void | print (const Glib::ustring& message)
void | printerr (const Glib::ustring& message)
## Protected Member Functions
| ApplicationCommandLine ()
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr < Gio::ApplicationCommandLine > | wrap (GApplicationCommandLine* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Constructor & Destructor Documentation

virtual Gio::ApplicationCommandLine::~ApplicationCommandLine | ( | ) | `[virtual]`

Gio::ApplicationCommandLine::ApplicationCommandLine | ( | ) | `[protected]`

## Member Function Documentation

char** Gio::ApplicationCommandLine::get_arguments | ( | int & | argc ) | const

Glib::ustring Gio::ApplicationCommandLine::get_cwd | ( | ) | const

int Gio::ApplicationCommandLine::get_exit_status | ( | ) | const

Glib::ustring Gio::ApplicationCommandLine::getenv | ( | const Glib::ustring& | name ) | const

const GApplicationCommandLine* Gio::ApplicationCommandLine::gobj | ( | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::ObjectBase.

GApplicationCommandLine* Gio::ApplicationCommandLine::gobj | ( | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::ObjectBase.

GApplicationCommandLine* Gio::ApplicationCommandLine::gobj_copy | ( | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

bool Gio::ApplicationCommandLine::is_remote | ( | ) | const

void Gio::ApplicationCommandLine::print | ( | const Glib::ustring& | message ) |

void Gio::ApplicationCommandLine::printerr | ( | const Glib::ustring& | message ) |

void Gio::ApplicationCommandLine::set_exit_status | ( | int | exit_status ) |

## Friends And Related Function Documentation

Glib::RefPtr< Gio::ApplicationCommandLine > wrap | ( | GApplicationCommandLine * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.